package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AirQualityIndex;
import com.lightinit.hsdatashow.entity.AirQualityIndexExample;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface AirQualityIndexMapper {
    long countByExample(AirQualityIndexExample example);

    int deleteByExample(AirQualityIndexExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AirQualityIndex record);

    int insertSelective(AirQualityIndex record);

    List<AirQualityIndex> selectByExampleWithBLOBs(AirQualityIndexExample example);

    List<AirQualityIndex> selectByExample(AirQualityIndexExample example);

    AirQualityIndex selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AirQualityIndex record, @Param("example") AirQualityIndexExample example);

    int updateByExampleWithBLOBs(@Param("record") AirQualityIndex record, @Param("example") AirQualityIndexExample example);

    int updateByExample(@Param("record") AirQualityIndex record, @Param("example") AirQualityIndexExample example);

    int updateByPrimaryKeySelective(AirQualityIndex record);

    int updateByPrimaryKeyWithBLOBs(AirQualityIndex record);

    int updateByPrimaryKey(AirQualityIndex record);

    Date getDatabaseLastDate();

    String getHBCityAirQualityIndexDate();

}